program AVR_Speech;
{$NOSHADOW}

Device = Mega128;

Import SysTick, SpeechPort, SPIdriver;

From System Import LongWord;

Define
  ProcClock   = 16000000;       {Hertz}
  SysTick     = 10;             {msec}
  StackSize   = $0020, iData;
  FrameSize   = $0040, iData;

//  SpeechPort     = SPI;            // SPI; PortX, pinX;  Port; UserPort;
//  SpeechPort     = UserPort;       // SPI; PortX, pinX;  Port; UserPort;
//  SpeechPort     = PortG, 0;       // SPI; PortX, pinX;  Port; UserPort;
  SpeechPort     = PortC;          // SPI; PortX, pinX;  Port; UserPort;

//  SpeechTimer    = Timer0;         // Timer0, Timer1, Timer2, Timer3
//  SpeechTimer    = Timer1;         // Timer0, Timer1, Timer2, Timer3
//  SpeechTimer    = Timer2;         // Timer0, Timer1, Timer2, Timer3
  SpeechTimer    = Timer3;         // Timer0, Timer1, Timer2, Timer3

  SPIorder    = LSB;
  SPIcpol     = 1;
  SPIcpha     = 1;
  SPIpresc    = 0;              // presc = 0..3 -> 4/16/64/128
  SPI_SS      = true;           // use SS pin as chipselect


Implementation

{$IDATA}

{--------------------------------------------------------------}
{ Type Declarations }

type


{--------------------------------------------------------------}
{ Const Declarations }
const
  TataaWav   : array[0..13923] of byte = 'TATAA11.wav';
  RoosterWav : array[0..24305] of byte = 'Rooster.wav';
  DogWav     : array[0..6619]  of byte = 'Dog1.wav';
  BaaWav     : array[0..16811] of byte = 'Baa.wav';

{--------------------------------------------------------------}
{ Var Declarations }
{$IDATA}
var

{--------------------------------------------------------------}
{ functions }
{
UserDevice SpeechIOS(b : byte);
begin

end;
}

procedure InitPorts;
begin
  PortB:= PortB or $40;         // disable PA
  DDRB:= DDRB or $40;           // enable output
end InitPorts;


{--------------------------------------------------------------}
{ Main Program }
{$IDATA}

begin
  InitPorts;
  EnableInts;

  PortB:= PortB and $BF;            // enable PA
  SpeechOutFlash(@TataaWav+36, sizeOf(TataaWav)- 36);
  repeat
  until SpeechReady;
  PortB:= PortB or $40;             // disable PA

  mDelay(1000);

  PortB:= PortB and $BF;            // enable PA
  SpeechOutFlash(@RoosterWav+36, sizeOf(RoosterWav)- 36);
  repeat
  until SpeechReady;
  PortB:= PortB or $40;             // disable PA

  mDelay(1000);

  PortB:= PortB and $BF;            // enable PA
  SpeechOutFlash(@DogWav+36, sizeOf(DogWav)- 36);
  repeat
  until SpeechReady;
  PortB:= PortB or $40;             // disable PA

  mDelay(1000);

  PortB:= PortB and $BF;            // enable PA
  SpeechOutFlash(@BaaWav+36, sizeOf(BaaWav)- 36);
  repeat
  until SpeechReady;
  PortB:= PortB or $40;             // disable PA

  loop
    mDelay(100);
  endloop;
end AVR_Speech.



